List contact requests
curl --request GET \
--url https://api.wircle.com/v1/contact-requests \
--header 'Authorization: Bearer <token>' \
--header 'X-Profile-Id: <x-profile-id>'import requests
url = "https://api.wircle.com/v1/contact-requests"
headers = {
"X-Profile-Id": "<x-profile-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Profile-Id': '<x-profile-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.wircle.com/v1/contact-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"items": [
{
"contact_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"message": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"counterpart_actor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"name": "<string>",
"legal_name_verified": true,
"avatar_url": "<string>",
"dark_avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"counterpart_profile": {
"id": "<string>",
"username": "<string>",
"type": "human",
"name": "<string>",
"call_name": "<string>",
"legal_name_verified": true,
"occupation": "<string>",
"location": {
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>"
},
"bio": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"media": {
"avatar": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
},
"banner": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
}
}
}
}
],
"next_cursor": "<string>"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Contact Requests
List contact requests
Returns received or sent contact requests for the active profile or verified guest.
API key requests must include an X-Profile-Id header selecting an attached profile. Required API key scope: contacts:read. Also accepted: contacts:all, all:read, all:all.
GET
/
v1
/
contact-requests
List contact requests
Authorizations
Workspace API key created in Developer → API Keys.
Headers
The workspace profile performing the request. It must be attached to the API key.
Query Parameters
Available options:
received Minimum string length:
1Required range:
1 <= x <= 50Maximum string length:
100Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
Whether the API request completed successfully.
Available options:
true Returns received or sent contact requests for the active profile or verified guest.
Show child attributes
Show child attributes
Wircle-generated context for AI agents. This object may be empty.
Show child attributes
Show child attributes
⌘I